Index: code/trunk/src/orxonox/objects/quest/GlobalQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/GlobalQuest.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/quest/GlobalQuest.h	(revision 5693)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -35,5 +35,5 @@
 #define _GlobalQuest_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/quest/QuestPrereqs.h"
 
 #include <list>
@@ -47,7 +47,7 @@
         GlobalQuests are Quests, that have the same status for all players.
         This means, that when a player successfully completes a GlobalQuest, it is completed for all players that have it.
-        
+
         Creating a GlobalQuest through XML goes as follows:
-        
+
         <GlobalQuest id="questId"> //Where questId is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information
             <QuestDescription title="Title" description="Description." /> //The description of the quest.
@@ -81,5 +81,5 @@
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport GlobalQuest : public Quest
+    class _QuestExport GlobalQuest : public Quest
     {
         public:
@@ -88,5 +88,5 @@
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a GlobalQuest object through XML.
-            
+
             virtual bool fail(PlayerInfo* player); //!< Fails the Quest.
             virtual bool complete(PlayerInfo* player); //!< Completes the Quest.
@@ -98,5 +98,5 @@
 
             virtual QuestStatus::Value getStatus(const PlayerInfo* player) const; //!< Returns the status of the Quest for a specific player.
-            
+
             virtual bool setStatus(PlayerInfo* player, const QuestStatus::Value & status); //!< Sets the status for a specific player.
 
@@ -105,5 +105,5 @@
             QuestStatus::Value status_; //!< The status of this Quest.
             std::list<QuestEffect*> rewards_; //!< Reward QuestEffects only invoked on the player completing the Quest.
-            
+
             bool addRewardEffect(QuestEffect* effect); //!< Adds a reward QuestEffect to the list of reward QuestEffects.
             const QuestEffect* getRewardEffects(unsigned int index) const; //!< Returns the reward QuestEffect at the given index.
Index: code/trunk/src/orxonox/objects/quest/LocalQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/LocalQuest.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/quest/LocalQuest.h	(revision 5693)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -35,5 +35,5 @@
 #define _LocalQuest_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/quest/QuestPrereqs.h"
 
 #include <map>
@@ -46,7 +46,7 @@
         Handles Quests which have different states for different players.
         LocalQuests have (as opposed to GlobalQuests) a different state for each player, that means if for one player the status of the Quest changes it does not for all the other players which also possess this quest.
-        
+
         Creating a LocalQuest through XML goes as follows:
-        
+
         <LocalQuest id="questId"> //Where questId is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information
             <QuestDescription title="Title" description="Description." /> //The description of the quest.
@@ -75,5 +75,5 @@
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport LocalQuest : public Quest
+    class _QuestExport LocalQuest : public Quest
     {
         public:
@@ -82,5 +82,5 @@
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a LocalQuest object through XML.
-            
+
             virtual bool fail(PlayerInfo* player); //!< Fails the Quest.
             virtual bool complete(PlayerInfo* player); //!< Completes the Quest.
Index: code/trunk/src/orxonox/objects/quest/Quest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/Quest.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/quest/Quest.h	(revision 5693)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -32,9 +32,9 @@
         The Quest is the parent class of LocalQuest and GlobalQuest.
 */
- 
+
 #ifndef _Quest_H__
 #define _Quest_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/quest/QuestPrereqs.h"
 
 #include <list>
@@ -62,10 +62,10 @@
         A Quest has several hints (QuestHint) that can be unlocked through QuestEffects and then display aid in solving the Quest.
         A Quest has a list of QuestEffects that are invoked when the quest is failed and also a list of QuestEffects that are invoked, when the Quest is completed.
-        
+
         Quest itself should not be instantiated, if you want to create a quest either go for LocalQuest or GlobalQuest, whichever suits you needs better.
     @author
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport Quest : public QuestItem
+    class _QuestExport Quest : public QuestItem
     {
         public:
@@ -81,5 +81,5 @@
             inline Quest* getParentQuest(void) const
                 { return this->parentQuest_; }
-                
+
             /**
             @brief Returns the list of subquests.
@@ -95,14 +95,14 @@
             inline const std::list<QuestHint*> & getHintsList(void) const
                 { return this->hints_; }
-        
+
             bool isInactive(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'inactive'.
             bool isActive(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'active'.
             bool isFailed(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'failed'.
             bool isCompleted(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'completed'.
-        
+
             bool start(PlayerInfo* player); //!< Sets a Quest to active.
             virtual bool fail(PlayerInfo* player); //!< Fails the Quest.
             virtual bool complete(PlayerInfo* player); //!< Completes the Quest.
-        
+
             bool addListener(QuestListener* listener); //!< Adds a QuestListener to the list of QuestListeners listening to this Quest.
 
@@ -116,5 +116,5 @@
             const QuestEffect* getFailEffect(unsigned int index) const; //!< Returns the fail QuestEffect at the given index.
             const QuestEffect* getCompleteEffect(unsigned int index) const; //!< Returns the complete QuestEffect at the given index.
-            
+
             /**
             @brief Returns the list of fail QuestEffects.
@@ -123,5 +123,5 @@
             inline std::list<QuestEffect*> & getFailEffectList(void)
                 { return this->failEffects_; }
-                
+
             /**
             @brief Returns the list of complete QuestEffects.
@@ -133,5 +133,5 @@
             virtual QuestStatus::Value getStatus(const PlayerInfo* player) const = 0; //!< Returns the status of the Quest for a specific player.
             virtual bool setStatus(PlayerInfo* player, const QuestStatus::Value & status) = 0; //!< Changes the status for a specific player.
-            
+
         private:
             Quest* parentQuest_; //!< Pointer to the parentquest.
@@ -142,7 +142,7 @@
             std::list<QuestEffect*> failEffects_; //!< A list of all QuestEffects to be invoked, when the Quest has been failed.
             std::list<QuestEffect*> completeEffects_; //!< A list of QuestEffects to be invoked, when the Quest has been completed.
-            
+
             std::list<QuestListener*> listeners_; //!< A list of QuestListeners, that listen to what exactly happens with this Quest.
-            
+
             bool setParentQuest(Quest* quest); //!< Sets the parentquest of the Quest.
             bool addSubQuest(Quest* quest); //!< Adds a subquest to the Quest.
Index: code/trunk/src/orxonox/objects/quest/QuestDescription.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestDescription.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/quest/QuestDescription.h	(revision 5693)
@@ -35,5 +35,5 @@
 #define _QuestDescription_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/quest/QuestPrereqs.h"
 
 #include <string>
@@ -47,12 +47,12 @@
         This class is a description of a QuestItem.
         It holds a title and a description.
-        
+
         Creating a QuestDescription through XML goes as follows:
-        
+
         <QuestDescription title="Title" description="Description Text" failMessage="You fail." completeMessage="You win!" />
     @author
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport QuestDescription : public BaseObject
+    class _QuestExport QuestDescription : public BaseObject
     {
 // tolua_end
@@ -70,5 +70,5 @@
             inline const std::string & getTitle(void) const
                 { return this->title_; }
-        
+
             /**
             @brief Returns the description text.
@@ -78,5 +78,5 @@
                 { return this->description_; }
 // tolua_end
-        
+
             /**
             @brief Returns the fail message.
@@ -85,5 +85,5 @@
             inline const std::string & getFailMessage(void) const
                 { return this->failMessage_; }
-        
+
             /**
             @brief Returns the complete message.
@@ -92,5 +92,5 @@
             inline const std::string & getCompleteMessage(void) const
                 { return this->completeMessage_; }
-        
+
             /**
             @brief Sends a Notification displaying that a QuestHint was added.
@@ -99,5 +99,5 @@
             inline bool sendAddHintNotification(void) const
                 { return notificationHelper("hint", ""); }
-        
+
             /**
             @brief Sends a Notification displaying that a Quest was added.
@@ -106,5 +106,5 @@
             inline bool sendAddQuestNotification(void) const
                 { return notificationHelper("quest", "start"); }
-        
+
             /**
             @brief Sends a Notification displaying that a Quest was failed.
@@ -113,5 +113,5 @@
             inline bool sendFailQuestNotification(void) const
                 { return notificationHelper("quest", "fail"); }
-        
+
             /**
             @brief Sends a Notification displaying that a Quest was completed.
@@ -135,5 +135,5 @@
             inline void setTitle(const std::string & title)
                 { this->title_ = title; }
-                
+
             /**
             @brief Sets the description text.
@@ -149,5 +149,5 @@
             inline void setFailMessage(const std::string & message)
                 { this->failMessage_ = message; }
-                
+
             /**
             @brief Sets the complete message.
Index: code/trunk/src/orxonox/objects/quest/QuestEffect.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffect.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/quest/QuestEffect.h	(revision 5693)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -35,5 +35,5 @@
 #define _QuestEffect_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/quest/QuestPrereqs.h"
 
 #include <list>
@@ -49,5 +49,5 @@
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport QuestEffect : public BaseObject
+    class _QuestExport QuestEffect : public BaseObject
     {
         public:
Index: code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 5693)
@@ -35,5 +35,5 @@
 #define _QuestEffectBeacon_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/quest/QuestPrereqs.h"
 
 #include <list>
@@ -58,7 +58,7 @@
         A QuestEffectBeacon can be executed a defined number of times.
         A QuestEffectBeacon can be inactive or active.
-        
+
         Creating a QuestEffectBeacon through XML goes as follows:
-        
+
         <QuestEffectBeacon times=n> //Where 'n' is eighter a number >= 0, which means the QuestEffectBeacon can be executed n times. Or n = -1, which means the QuestEffectBeacon can be executed an infinite number of times.
             <effects>
@@ -79,16 +79,16 @@
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport QuestEffectBeacon : public StaticEntity
+    class _QuestExport QuestEffectBeacon : public StaticEntity
     {
         public:
             QuestEffectBeacon(BaseObject* creator);
             virtual ~QuestEffectBeacon();
-            
+
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestEffectBeacon object through XML.
-            
+
             virtual void processEvent(Event& event); //!< Processes an event for this QuestEffectBeacon.
-            
+
             bool execute(bool b, PlayerTrigger* trigger); //!< Executes the QuestEffects of the QuestEffectBeacon.
-            
+
             /**
             @brief Tests whether the QuestEffectBeacon is active.
@@ -97,10 +97,10 @@
             inline bool isActive(void)
             { return this->status_ == QuestEffectBeaconStatus::Active; }
-            
+
             bool setActive(bool activate); //!< Set the status of the QuestEffectBeacon.
-            
+
         protected:
             bool decrementTimes(void); //!< Decrement the number of times the QuestEffectBeacon can still be executed.
-            
+
             /**
             @brief Returns the number of times the QUestEffectBeacon can still be executed.
@@ -109,17 +109,17 @@
             inline const int & getTimes(void) const
                 { return this->times_; }
-    
+
         private:
             static const int INFINITE_TIME = -1; //!< Constant to avoid using magic numbers.
-            
+
             std::list<QuestEffect*> effects_; //!< The list of QuestEffects to be invoked on the executing player.
             int times_; //!< Number of times the beacon can be exectued.
             QuestEffectBeaconStatus::Value status_; //!< The status of the QUestEffectBeacon, Can be eighter active or inactive.
-            
+
             bool setTimes(const int & n); //!< Set the number of times the QuestEffectBeacon can be executed.
             bool addEffect(QuestEffect* effect); //!< Add a QuestEffect to the QuestEffectBeacon.
-            
+
             const QuestEffect* getEffect(unsigned int index) const; //!< Get the QuestEffect at a given index.
-    
+
     };
 
Index: code/trunk/src/orxonox/objects/quest/QuestHint.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestHint.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/quest/QuestHint.h	(revision 5693)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -35,5 +35,5 @@
 #define _QuestHint_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/quest/QuestPrereqs.h"
 
 #include <map>
@@ -57,7 +57,7 @@
         Consists of title and description (which is stored in a QuestDescription object) in textual form and must belong to a quest.
         A QuestHint has a defined status (inactive or active, where inactive is default) for each player, which means each a QuestHint exists only once for all players, it doesn't belong to a player, it just has different states for each of them.
-        
+
         Creating a QuestHint through XML goes as follows:
-        
+
         <QuestHint id="hintId">  //Where hintId is a GUID, see http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure for more information
             <QuestDesctription title="" description="" />
@@ -66,5 +66,5 @@
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport QuestHint : public QuestItem
+    class _QuestExport QuestHint : public QuestItem
     {
 
Index: code/trunk/src/orxonox/objects/quest/QuestItem.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestItem.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/quest/QuestItem.h	(revision 5693)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -37,5 +37,5 @@
 #define _QuestItem_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/quest/QuestPrereqs.h"
 
 #include <string>
@@ -51,5 +51,5 @@
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport QuestItem : public BaseObject
+    class _QuestExport QuestItem : public BaseObject
     {
 
@@ -66,5 +66,5 @@
             inline const std::string & getId(void) const
                 { return this->id_; }
-            
+
             /**
             @brief Returns the QuestDescription of the QuestItem.
@@ -78,5 +78,5 @@
         protected:
             void setId(const std::string & id); //!< Sets the id of the QuestItem.
-            
+
             /**
             @brief Sets the description of the QuestItem.
Index: code/trunk/src/orxonox/objects/quest/QuestListener.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestListener.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/quest/QuestListener.h	(revision 5693)
@@ -35,5 +35,5 @@
 #define _QuestListener_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/quest/QuestPrereqs.h"
 
 #include <string>
@@ -58,11 +58,11 @@
     @brief
         Provides a way to react to the starting, completing and failing of Quests.
-        
+
         The XML representation goes as follows:
         You can use the QuestListener as if it were a Trigger or EventListener, that fires an Event when the status (depending on the set mode) of the given Quest changes.
-        
+
         <BaseObject> // The object that should react to the status change of a Quest.
             <events>
-                <function> // Where function is the method of the object that schould be executed. Normally this would be visibility or activity.
+                <function> // Where function is the method of the object that should be executed. Normally this would be visibility or activity.
                     <QuestListener questId="someQuestId" mode="someMode" /> // Where someQuestId is the identifier for the Quest the QuestListener is reacting to, and someMode is the kind of status change the QUestListener reacts to (all, start, complete or fail).
                 </function>
@@ -72,26 +72,26 @@
     Damian 'Mozork' Frick
     */
-    class _OrxonoxExport QuestListener : public BaseObject
+    class _QuestExport QuestListener : public BaseObject
     {
     public:
         QuestListener(BaseObject* creator);
         virtual ~QuestListener();
-        
+
         virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestListener object through XML.
-        
+
         static void advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status); //!< Makes all QuestListener in the list aware that a certain status change has occured.
-        
+
         bool setQuestId(const std::string & id); //!< Sets the questId of the Quest the QuestListener reacts to.
         bool setMode(const std::string & mode); //!< Sets the mode of the QuestListener.
-        
+
         std::string getMode(void); //!< Get the mode of the QuestListener.
-        
-        const std::string & getQuestId(void);        
+
+        const std::string & getQuestId(void);
         bool execute(void); //!< Executes the QuestListener, resp. fires an Event.
-        
+
     private:
         QuestListenerMode::Value mode_; //!< The mode of the QuestListener.
         Quest* quest_; //!< A pointer to the Quest the QuestListener is reacting to.
-    
+
     };
 
Index: code/trunk/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestManager.cc	(revision 5692)
+++ code/trunk/src/orxonox/objects/quest/QuestManager.cc	(revision 5693)
@@ -36,8 +36,7 @@
 #include "util/Exception.h"
 #include "core/CoreIncludes.h"
+#include "core/GUIManager.h"
 
 #include "objects/infos/PlayerInfo.h"
-#include "objects/infos/PlayerInfo.h"
-#include "overlays/GUIOverlay.h"
 #include "Quest.h"
 #include "QuestHint.h"
@@ -66,5 +65,4 @@
     QuestManager::~QuestManager()
     {
-
     }
 
@@ -203,5 +201,5 @@
     /**
     @brief
-        
+
     @param name
     @return
@@ -209,29 +207,17 @@
     QuestContainer* QuestManager::getQuestTree(std::string & name)
     {
-        GUIOverlay* gui = NULL;
-        for (ObjectList<GUIOverlay>::iterator it = ObjectList<GUIOverlay>::begin(); it != ObjectList<GUIOverlay>::end(); ++it)
-            if (it->getGUIName() == name)
-                gui = *it;
-
-        PlayerInfo* player;
-        if(gui == NULL)
-        {
-            COUT(1) << "Error: No GUIOverlay with the given name '" << name << "' present." << std::endl;
+        PlayerInfo* player = GUIManager::getInstance().getPlayer(name);
+        if(player == NULL)
+        {
+            COUT(1) << "Error: GUIOverlay with name '" << name << "' has no player." << std::endl;
             return NULL;
         }
-        BaseObject* obj = gui->getOwner();
-        if(obj == NULL)
-        {
-            COUT(1) << "Error: GUIOverlay has no owner. " << std::endl;
-            return NULL;
-        }
-        player = orxonox_cast<PlayerInfo*>(obj);
-    
+
         QuestContainer* root = NULL;
         QuestContainer* current = NULL;
-        
+
         std::list<Quest*>* rootQuests = new std::list<Quest*>();
         getRootQuests(player, *rootQuests);
-        
+
         for(std::list<Quest*>::iterator it = rootQuests->begin(); it != rootQuests->end(); it++)
         {
@@ -246,5 +232,5 @@
                 current->next = container;
             }
-            
+
             current = container;
 
@@ -260,5 +246,5 @@
     /**
     @brief
-        
+
     @param player
     @param list
@@ -279,5 +265,5 @@
     /**
     @brief
-        
+
     @param quest
     @param player
@@ -310,5 +296,5 @@
             COUT(1) << "An error occurred. A Quest of un-specified status wanted to be displayed." << std::endl;
         }
-        
+
         std::list<Quest*> quests = quest->getSubQuestList();
         QuestContainer* current = NULL;
@@ -329,5 +315,5 @@
                     current->next = subContainer;
                 }
-                
+
                 current = subContainer;
             }
@@ -336,5 +322,5 @@
             current->next = NULL;
         container->subQuests = first;
-        
+
         return container;
     }
@@ -342,5 +328,5 @@
     /**
     @brief
-        
+
     @param quest
     @param player
@@ -368,5 +354,5 @@
                     current->next = hint;
                 }
-                
+
                 current = hint;
             }
Index: code/trunk/src/orxonox/objects/quest/QuestManager.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestManager.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/quest/QuestManager.h	(revision 5693)
@@ -35,5 +35,5 @@
 #define _QuestManager_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/quest/QuestPrereqs.h"
 
 #include <list>
@@ -41,5 +41,5 @@
 #include <string>
 
-#include "util/Singleton.h"
+#include "util/ScopedSingleton.h"
 #include "core/OrxonoxClass.h"
 
@@ -66,4 +66,6 @@
     };
 
+    typedef ScopedSingleton<QuestManager, ScopeID::GSLevel> ScopedSingletonQuestManagerGSLevel; // workaround for tolua
+
     /**
     @brief
@@ -73,8 +75,8 @@
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport QuestManager : public Singleton<QuestManager>, public orxonox::OrxonoxClass
+    class _QuestExport QuestManager : public ScopedSingletonQuestManagerGSLevel, public orxonox::OrxonoxClass
     {
 // tolua_end
-            friend class Singleton<QuestManager>;
+            friend class ScopedSingleton<QuestManager, ScopeID::GSLevel>;
         public:
             QuestManager();
@@ -82,5 +84,5 @@
 
             //! Returns a reference to the single instance of the Quest Manager.
-            static QuestManager& getInstance() { return Singleton<QuestManager>::getInstance(); } // tolua_export
+            static QuestManager& getInstance() { return ScopedSingleton<QuestManager, ScopeID::GSLevel>::getInstance(); } // tolua_export
 
             bool registerQuest(Quest* quest); //!< Registers a Quest in the QuestManager.
Index: code/trunk/src/orxonox/objects/quest/QuestNotification.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestNotification.h	(revision 5692)
+++ code/trunk/src/orxonox/objects/quest/QuestNotification.h	(revision 5693)
@@ -26,12 +26,12 @@
  *
  */
- 
+
 #ifndef _QuestNotification_H__
 #define _QuestNotification_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/quest/QuestPrereqs.h"
 
 #include <string>
-#include "overlays/notifications/Notification.h"
+#include "notifications/Notification.h"
 
 namespace orxonox {
@@ -39,9 +39,9 @@
     /**
     @brief
-        
+
     @author
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport QuestNotification : public Notification
+    class _QuestExport QuestNotification : public Notification
     {
         public:
@@ -49,12 +49,12 @@
             QuestNotification(const std::string & message);
             virtual ~QuestNotification();
-            
+
             bool send(void);
-     
+
         private:
             static const std::string SENDER;
-            
+
             void initialize(void);
- 
+
     };
 
Index: code/trunk/src/orxonox/objects/quest/QuestPrereqs.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestPrereqs.h	(revision 5693)
+++ code/trunk/src/orxonox/objects/quest/QuestPrereqs.h	(revision 5693)
@@ -0,0 +1,92 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+  @file
+  @brief Contains all the necessary forward declarations for all classes and structs.
+*/
+
+#ifndef _QuestsystemPrereqs_H__
+#define _QuestsystemPrereqs_H__
+
+#include "OrxonoxConfig.h"
+
+#include "OrxonoxPrereqs.h"
+
+//-----------------------------------------------------------------------
+// Shared library settings
+//-----------------------------------------------------------------------
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
+#  ifdef QUEST_SHARED_BUILD
+#    define _QuestExport __declspec(dllexport)
+#  else
+#    if defined( __MINGW32__ )
+#      define _QuestExport
+#    else
+#      define _QuestExport __declspec(dllimport)
+#    endif
+#  endif
+#elif defined ( ORXONOX_GCC_VISIBILITY )
+#  define _QuestExport  __attribute__ ((visibility("default")))
+#else
+#  define _QuestExport
+#endif
+
+//-----------------------------------------------------------------------
+// Forward declarations
+//-----------------------------------------------------------------------
+
+namespace orxonox
+{
+    class AddQuest;
+    class AddQuestHint;
+    class AddReward;
+    class ChangeQuestStatus;
+    class CompleteQuest;
+    class FailQuest;
+    class GlobalQuest;
+    class LocalQuest;
+    class Quest;
+    class QuestDescription;
+    class QuestEffect;
+    class QuestEffectBeacon;
+    class QuestHint;
+    class QuestItem;
+    class QuestListener;
+    class QuestManager;
+    class QuestNotification;
+    class Rewardable;
+
+    class Notification;
+    class NotificationListener;
+    class NotificationManager;
+    class NotificationOverlay;
+    class NotificationQueue;
+}
+
+#endif /* _QuestsystemPrereqs_H__ */
Index: code/trunk/src/orxonox/objects/quest/notifications/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/quest/notifications/CMakeLists.txt	(revision 5693)
+++ code/trunk/src/orxonox/objects/quest/notifications/CMakeLists.txt	(revision 5693)
@@ -0,0 +1,6 @@
+ADD_SOURCE_FILES(QUEST_SRC_FILES
+  Notification.cc
+  NotificationManager.cc
+  NotificationOverlay.cc
+  NotificationQueue.cc
+)
